    Program g01dbfe

!     G01DBF Example Program Text

!     Mark 24 Release. NAG Copyright 2012.

!     .. Use Statements ..
      Use nag_library, Only: g01dbf, nag_wp
!     .. Implicit None Statement ..
      Implicit None
!     .. Parameters ..
      Integer, Parameter               :: nout = 6
!     .. Local Scalars ..
      Integer                          :: ifail, n
!     .. Local Arrays ..
      Real (Kind=nag_wp), Allocatable  :: pp(:)
!     .. Executable Statements ..
      Write (nout,*) 'G01DBF Example Program Results'
      Write (nout,*)

!     Set the problem size
      n = 10

      Allocate (pp(n))

!     Calculate the normal scores
      ifail = 0
      Call g01dbf(n,pp,ifail)

!     Display results
      Write (nout,99999) 'Sample size = ', n
      Write (nout,*) 'Normal scores'
      Write (nout,99998) pp(1:n)

99999 Format (1X,A,I2)
99998 Format (10X,5F12.4)
    End Program g01dbfe
